**`SOMESWAR`[NAME]** -NL- Senior Java Developer -NL- Mob: **`+44 74 5919 0254`[PHONES_PHONE]** -NL- E-Mail: -NL- **`someswar.d.82@gmail.com`[EMAILS_EMAIL]** -NL- **`SUMMARY:`[SUMMARY_HEADING]** -NL- Having 13+ years of IT experience in full life cycle projects including Requirement gathering, -NL- Analysis, Design, Development, Testing, Deployment and Maintenance in Government, -NL- Investment Banking and Telecom domains. -NL-  Very strong Java-JEE developer with experience in building solutions integrating -NL- highly large and complex enterprise systems with high volumes of data. -NL-  Very good experience in developing solutions based on Java & Oracle technologies. -NL-  Having very good experience in Spring Boot, Microservices and Restful Web -NL- Services. -NL-  Hands on experience in stream processing using Apache Strom. -NL-  Hands on experience in Agile software development and Test-Driven Development -NL-  Involved in Requirement analysis, Use Case Design, scoping, Estimation, change -NL- management, analysis & review of the existing implementation. -NL-  Competent problem solver having commitment to quality with the ability to provide -NL- problem diagnosis & solutions and facilitate resolution of technical issues and guide -NL- in quality objectives of the projects. -NL-  Having very strong knowledge and experience in Object Oriented Concepts and -NL- Design Patterns. -NL-  Having very strong experience in core Java and messaging (JMS, EJB) Technologies -NL-  Extensive experience in using Web Servers (Apache Tomcat and Jetty) and -NL- application servers (Web Logic, WebSphere and JBOSS) -NL-  Having good experience in doing code reviews and in writing JUnit test cases and -NL- testing frameworks like Cucumber, Mockito, Easy Mock -NL-  Extensive experience in working with HTML, XML (DOM, DOM4J, SAX, StAX, -NL- JAXB, XSLT and XPATH) -NL-  Good Experience on SQL, PL/SQL with Oracle 10g/11g as RDBMS and MongoDB -NL-  Good knowledge on Oracle database fundamentals, architecture. -NL-  Have knowledge on Advance PL/SQL concepts: Collections, Encryption, LOBs, Bulk -NL- loading, external procedures, Reference cursors. -NL-  Proficient in working with Unix/Linux Operating System. Very good in Shell -NL- Scripting. -NL-  Experienced in Test Driven Development (TDD), Behaviour Driven Development -NL- (BDD) and Pair Programming -NL-  Having good Experience on **`Amdocs`[PROJECT_COMPANY_NAME]** Enabler Billing Product suite which provides -NL- end-to-end customer care and billing functionality for single-service and multi-service -NL- environments. -NL-  Expertise in Java with multithreading, collections and Spring Framework. -NL-  Extensive experience in developing the complex PL/SQL stored procedures. -NL-  Extensively used UNIX shell scripting for deployment and analyzing logs. -NL-  Experience in Unified Modelling Language (UML) and Rational Rose for Object -NL- Oriented analysis and design. -NL-  Ability to work with global/virtual/distributed (both onsite and offshore) teams -NL- across time zones. -NL-  Excellent problem solving, analytical, interpersonal and communication skills. Ability -NL- to work in-groups as well as independently with minimal supervision. -NL-  Exceptional ability to quickly master new concepts, languages and Tools. -NL-  Experienced in working with JavaScript and Mustache templates. -NL-  Familiarity with NodeJS and Angular JS -NL- Security Clearance: -NL-  CTC (Counter Terrorist Check) Cleared -NL-  Disclosure and Barring Service (DBS) -NL-  Baseline Personal Security Standard (BPSS) -NL- **`Certifications and Achievement’s:`[OTHERS_HEADING]** -NL-  AWS Certified Developer – Associate -NL-  Oracle Certified Java Professional (OCJP 6) -NL-  Oracle Advanced PL/SQL Developer Certified Professional (OCP 11g) -NL- **`Educational Qualifications:`[EDUCATION_HEADING]** -NL-  Master’s in **`computer science`[EDUCATION_COURSE]** [**`MSC`[EDUCATION_DEGREE]**]. India. -NL-  Bachelor’s in **`computer science`[EDUCATION_COURSE]** [**`BSC`[EDUCATION_DEGREE]**]. India. -NL- **`Projects:`[OTHERS_HEADING]** -NL- Manage -NL- Detention -NL- Jun 2019– Till Date -NL- Client : **`Home Office`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Java 8, Micro Services, Spring Boot, Restful Web Services, JPA, AWS, -NL- Kubernetes, -NL- Docker, Kibana, MongoDB, JUnit, Mockito, Swagger, Rest Assured -NL- Tools : Eclipse, GIT, Bit bucket, Apache Tomcat, Maven, Oracle 11g, Jenkins, -NL- Nexus, Postman, -NL- SQL Developer, Sonar, REST API and JIRA -NL- Role : Lead Developer -NL- Description: -NL- Detention is the process whereby a state or private citizen lawfully holds a person by -NL- removing his or her freedom or liberty at that time. This can be due to -NL- (pending) criminal charges preferred against the individual pursuant to a prosecution or -NL- to protect a person or property. Being detained does not always result in being taken to a -NL- particular area (generally called a detention centre), either for interrogation or -NL- as punishment for a crime. -NL- **`Manage Detention`[PROJECT_TITLE]** is an online application to Manage and Assess the detention -NL- process for the users who are detained. -NL- Responsibilities: -NL-  Worked in Agile environment. -NL-  Working on Micro Services technologies to build high availability, low latency -NL- systems. -NL-  Closely working with client and architects Quality Assurance teams. -NL-  Used Spring Boot to develop several interfaces which will request data from -NL- Other systems using RESTFul service requests. -NL-  Designed the front end with Mustache templates. -NL-  Involved in deployment of Web Services to Kubernetes containers. -NL-  Involved in deployment of Web Services to Amazon AWS. -NL-  Involved in TDD, BDD and continuous integration. Expertise in Configuring and -NL- working with Jenkins. -NL-  Extensively used Maven build tool. -NL-  Involved in preparation of unit tests using JUnit and Mockito for various modules -NL- of the application. -NL-  Tested and validated the micro services with Rest Assured. -NL- **`Risk -NL- & Derivatives `[PROJECT_TITLE]**-NL- Oct 2018– May 2019 -NL- Client : **`CITI Bank`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Java 8, Micro Services, Apache Strom, Spring Boot, Restful WS, AWS, -NL- OpenShift, Docker, -NL- Kafka, MongoDB, JUnit, Mockito, Swagger -NL- Tools : Eclipse, GIT, Apache Tomcat, Maven, Oracle 11g, TeamCity, uDeploy, -NL- Artifactory, -NL- Postman, SQL Developer, Sonar, REST API and JIRA -NL- Role : Sr. Java Developer -NL- Description: -NL- The primary risks associated with trading derivatives are market, counterparty, -NL- liquidity and interconnection risks. Derivatives are financial security that consists of a -NL- contract between parties whose value derives from and depends on the value of an -NL- underlyingfinancial asset. Among the most common derivatives traded are futures, options, -NL- contracts for difference and swaps. -NL- Falcon is an on-demand tool that will allow for securities to be synced from SMC to -NL- EQRMS System. Falcon communicates with ISGCloud and DRMS services to enable this -NL- functionality -NL- Responsibilities: -NL-  Worked in Agile environment. -NL-  Working on Micro Services technologies to build high availability, low latency -NL- systems. -NL-  Created Spouts and Bolts for Stream processing (Apache Strom) -NL-  Developed interfaces in Spring Boot for Apache Kafka -NL-  Closely working with client and architects Quality Assurance teams. -NL-  Used Spring Boot, Spring MVC and Integration to develop several -NL- interfaces which will request data from Other systems using RESTFul service -NL- requests. -NL-  Implemented security between microservices using JWT(JSON Web Token). -NL-  Integrated the Microservices with Swagger. -NL-  Involved in deployment of Web Services to OpenShift containers using -NL- uDeploy. -NL-  Involved in Test driven development and continuous integration. Expertise in -NL- Configuring and working with TeamCity. -NL-  Involved in deployment of Web Services to Amazon AWS -NL-  Extensively used Maven build tool. -NL-  Involved in preparation of unit tests using JUnit and Mockito for various modules -NL- of the application. -NL- Agricultural -NL- and -NL- Rural -NL- Economy (ARE) -NL- Apr 2017– Sep 2018 -NL- Client : **`Government in Scotland`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Java 8, Micro Services, BPM, Spring Boot, Spring Cloud Config, Netflix -NL- OSS components -NL- (Eureka, Zuul, Hystrix), Pivotal Cloud Foundry, Restful Web Services, -NL- Amazon AWS, Hibernate, Docker, MongoDB, JUnit, Mockito, Angular JS, -NL- Java Script, HTML -NL- Tools : Eclipse, GIT, Apache Tomcat, Maven, Oracle 11g, Jenkins, SQL -NL- Developer, Sonar, REST -NL- API and JIRA -NL- Role : Sr. Java Developer -NL- Description: -NL- In 2015 RP&S was launched, an online system designed to make it easier -NL- for farmers and crofters to supply for funding for all the CAP schemes. -NL- The Rural Payments and Services (RP&S) application is used by the Agricultural and -NL- Rural Economy (ARE) directorate to administer the calculation and payment of European -NL- union CAP Payments to Scottish landowners and farmers. -NL- Scottish government developed the RP&S system to help with the funding process in -NL- Scotland. -NL- The farmer applied for funding either through the RP&S system (public site) or -NL- applied via a paper form (which will not be available for long) and submit/posts it to the land -NL- office, where an officer then inputs the details onto the Operational site. -NL- Responsibilities: -NL-  Worked in Agile environment. -NL-  New library development with micro services architecture using Rest APIs, spring -NL- boot and pivotal cloud foundry. -NL-  Experience in implementing BPM diagrams for business workflows. -NL-  Implementation of Eureka Client for Service Discovery and Load Balance -NL-  Implementation of Hystrix circuit breaker to avoid loss of messages during -NL- handling of messages at the consumer level -NL-  Implementation of Zuul proxy as the API gateway -NL-  Rest services templates are generated using swagger specifications. -NL-  Decompose existing monolithic code base into Spring Boot microservices. -NL-  Migrated the monolithic code of Clawback Module to Microservices. -NL-  Batch Processing using Spring Batch for reading and writing data -NL- **`Inspection Selection (ARE)`[PROJECT_TITLE]** -NL- Nov 2013– Mar 2017 -NL- Client : **`CGI`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- Angular JS, Java Script, CSS, SpringBoot, JPA, JBOSS, Oracle, JMS, HTML, -NL- XML, -NL- JUnit, Mockito, Cucumber -NL- Tools : Eclipse, Subversion, Apache Tomcat, Maven, Oracle 11g, JBoss Portal -NL- Platform, Fuse, -NL- Jenkins, SQL Developer, REST API and JIRA -NL- Role : Sr. Java Developer -NL- Description: -NL- **`CGI`[PROJECT_COMPANY_NAME]** is working with the Devolved **`Government in Scotland`[PROJECT_COMPANY_NAME]** to deliver a new suite of IT -NL- applications to support EU Common Agricultural Policy reform in 2015, with a view to -NL- distributing some £650m in grants to the farming community in Scotland -NL- The Horticulture and Marketing Unit. It was a web-based application to enable their -NL- inspectors to enter inspection details during a visit and if necessary, produce an appropriate -NL- document to issue. -NL- A key control regarding assuring that payment is made appropriately requires the -NL- undertaking of an inspection process. This covers a range of inspection types, covering -NL- land and animals. The key processes that followed encompass. -NL-  Selecting the inspections to be undertaken (across each of the different types) -NL-  Preparing the material for the inspection to carry out the required work. -NL-  Preparing the inspection, which will either be by use of a Tough book equipped with -NL- GPS tracking, or by paper -NL-  Recording the inspectionfindings (which are used to adjust the claim made by the -NL- customer). -NL- Responsibilities: -NL-  Used JMS, Active MQ for messaging. -NL-  Used Apache Camel and Apache CXF in SOA. -NL-  Used REST API (Spring) for web services. -NL-  Involved in Test driven development and continuous integration. Expertise in -NL- Configuring and working with Jenkins. -NL-  Extensively used Maven build tool. -NL-  Involved in preparation of unit tests using JUnit and Mockito for various modules -NL- of the application. -NL-  Writing and maintaining service application code, frameworks, libraries, APIs and -NL- documentation. -NL-  Worked on Batch Processing using Spring Batch for reading and writing data. -NL-  JPA Named and Native Queries and Criteria; Implemented custom classes and -NL- business models to retrieve the data from database. -NL-  Developed Views for data replication & Database Function using SQL and PL/SQL. -NL-  Used Angular JS to develop the web application. -NL-  Involved in E2E, Integration testing of the upgraded system -NL-  Working in Agile environment and providing guidance to off shore teams. -NL-  Involved in SIT, UAT and production support -NL- Customer -NL- Relationship -NL- Management -NL- (CRM) -NL- Apr 2011– Oct 2013 -NL- Client : **`Amdocs`[PROJECT_COMPANY_NAME]** -NL- Product : **`Amdocs`[PROJECT_COMPANY_NAME]** Billing Product -NL- Environment : -NL- Java, Swing, Weblogic, JSP, Servlets, Oracle, JMS, HTML, XML, Eclipse, -NL- UNIX and Shell scripting -NL- Tools : TOAD, Subversion and HP Quality Center -NL- Role : Sr. Java Developer -NL- Description: -NL- **`Amdocs`[PROJECT_COMPANY_NAME]** Enabler system supports convergent customer care and billing activities -NL- in voice and data environments including local, cellular, paging, long distance, -NL- international, cable, Internet, and Voice over the Internet Protocol (VOIP). Ensemble -NL- includes advanced capabilities such as aflexible customer hierarchy facility and a multi- -NL- service rating engine. The system utilizes a scalable, client-server UNIX platform and has -NL- been proven to support the high-volume performance requirements of leading carriers. -NL- Customer relationship management (CRM) is a model for managing a company’s -NL- interactions with current and future customers. It involves using technology to organize, -NL- automate, and synchronize sales, marketing, customer service, and technical support. -NL- Responsibilities: -NL-  Implemented business logic with Java (Spring) technologies. -NL- 1. -NL- Involved in the development of DAO Layer by using Spring and JDBC. -NL-  Implemented stored procedures in PLSQL. -NL-  Involved in preparation of unit tests using JUnit for various modules of the -NL- application. -NL-  Used Jira to manage our iterations, tickets and tasks. -NL-  Development of process layers as per the business needs. -NL-  Involved in Unit, Integration Testing and E2E Testing as part. -NL-  Involved in defectfixing and support on ST and UAT instances. -NL- **`Reconciliation`[PROJECT_TITLE]** -NL- Jul 2010– Mar 2011 -NL- Client : **`O2 UK`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- JAVA, Swing, XML, UNIX, Oracle10g and Shell Scripting -NL- Tools : TOAD, Subversion and HP Quality Center -NL- Role : Sr. Java Developer -NL- Description: -NL- **`Reconciliation`[PROJECT_TITLE]** is a process which identifies the mismatches between database -NL- entities. End user can view the mismatches in the form of reports. -NL- Responsibilities: -NL-  Development as part of defectfixing and CR (Change Request) development. -NL-  Development of shell scripts for new jobs which calls JAVA executables. -NL-  Development of complex SQL queries. -NL-  Used Java collections extensively to store database objects. -NL-  Performance Enhancement Tasks as part of next releases using SQL Tuning, -NL-  Involved in Unit, Integration Testing and E2E Testing as part of Circuit Provisioning. -NL-  Involved in defectfixing and support on ST and UAT instances. -NL- **`Account -NL- Receivable `[PROJECT_TITLE]**-NL- Jul 2007 – Jun 2010 -NL- Client : **`BT – British Telecom`[PROJECT_COMPANY_NAME]** -NL- Environment : -NL- JAVA, XML, Web Logic, UNIX, Oracle10g and Shell Scripting -NL- Tools : TOAD, Subversion and HP Quality Center -NL- Role : Sr. Java Developer -NL- Description: -NL- Account Receivable Manages the monies owed to Telco by its customers by, -NL- maintaining receivables balances for each customer. Processing debit and credit -NL- transactions that determine these balances. Managing the treatment of customers who do -NL- not pay as agreed. Reporting balances and transactions to thefinancial reporting system. -NL- Responsibilities: -NL-  Development as part of defectfixing and CR (Change Request) development. -NL-  Development of data layers to extract data from the database using JDBC. -NL-  Development of process layers as per the business needs. -NL-  Defining the structures for the new tables and place in Global Data Dictionary. -NL-  Development of shell scripts for new jobs which calls JAVA executables. -NL-  Development of complex scripts in PL/SQL. -NL-  Querying of database for various purposes. -NL-  Generation of frequently asked IA as per the business needs. -NL-  Performance Enhancement Tasks as part of next releases using SQL Tuning, -NL- parallelizing runs of jobs, etc. -NL-  Provided reusable scripts for other applications and projects. -NL-  Supporting for quality related issues. -NL-  Involved in Unit, Integration Testing and E2E Testing as part of Circuit Provisioning. -NL-  Involved in defectfixing and support on ST and UAT instances. -NL- MIC Electronics Ltd -NL- Dec -NL- 2006 – Jun 2007 -NL- Role: **`Software Engineer`[EMPLOYER_ROLE]** -NL- Project: BAATS-CM (Bank of America Asset Allocation and Tracking System- -NL- Collateral Management) -NL- MIC Electronics Ltd -NL- Aug -NL- 2006 – Nov 2006 -NL- Role: **`Software Engineer`[EMPLOYER_ROLE]** -NL- Project: Active Core Product (Derbyshire Building Society) -NL- MIC Electronics Ltd -NL- Apr -NL- 2006 – Jul 2006 -NL- Role: **`Software Engineer`[EMPLOYER_ROLE]** -NL- Project: Enterprise Information Portal (CRM) -NL- **`Key Skills`[SKILLS_HEADING]** -NL- Operating Systems -NL- Windows, Linux, Unix, MS-DOS. -NL- **`Languages`[OTHERS_HEADING]** -NL- Java, SQL, PL/SQL. Shell Scripting, Perl scripting -NL- Web Technologies -NL- API, MicroServices, RESTful & SOAP based web -NL- Services (JAX-RS, JAX-WS, Restful), JSON, HTML, -NL- JSF, JSP, Servlets, CSS, JavaScript (JQuery and -NL- Angular JS), XML (DOM, DOM4J, SAX, StAX, JAXB, -NL- XSLT and XPATH) -NL- DevOps Tools -NL- Docker, Kubernetes, Open Shift -NL- Frameworks -NL- Swing, Spring boot, Spring MVC, JUnit, Struts, JPA, -NL- Hibernate -NL- Servers -NL- JBOSS Fuse, Web-Logic, Web-Sphere, Apache -NL- Tomcat -NL- RDBMS -NL- Oracle 10g, 11g, MSSQL Server, MySQL, MangoDB -NL- OOD Methodologies -NL- UML, Rational Rose, Enterprise Architect, Visio -NL- IDE/Tools/Utilities -NL- Edit Plus, VSS, Perforce, Star Team, TOAD, PL/SQL -NL- Developer, Eclipse, IntelliJ, SOAP UI -NL- Config/Build Tools -NL- SVN, GIT, Ant, Maven, Jenkins, Perforce, XtraC -NL- Testing tool -NL- Cucumber, Junit, Mockito, SOAP UI, Postman, Rest -NL- Assured -NL- Quality Control Tools -NL- Atlassian JIRA, HP (Mercury) Quality Centre, Sonar -NL- Qube -NL- Cloud Technologies -NL- AWS EC2, AWS S3, AWS SQS -NL- 